#!/usr/bin/perl
#Script to automatically generate keyconfig_data.js
use strict;
my $ok=0;
my @fn=();
#Read source code, look for bindable functions
open F,"<src/chrome/content/keyconfig.js";
while(<F>) {
 if (/\/\/Start of bindable functions/) {$ok=1;}
 last if (/\/\/End of bindable functions/);
 if ($ok) {
  if (/^\s*([a-zA-Z_0-9]+)\s*:\s*function\s*\(\s*\)\s*\{/) {
   push @fn,$1;
  }
 }
}
close F;

#Write list of bindable functions to keyconfig_data.js
open G,">src/chrome/content/keyconfig_data.js";
print G "var keyconfig_data = {\n //Recognized functions bindable to keys\n keys:new Array(\n";
print G '  "'.join("\",\n  \"",@fn)."\"\n )\n}\n";
close G;

#Write a properties template for localization
open G,">keyconfig.properties.template";
foreach my $i (@fn) {
 print G "keyconfig_$i=\n";
}
close G;
