#!/bin/bash
# Creates a XPI from the files in $SRC_DIR.
# Dependencies: bash, rm, sed, grep, 7zip

shopt -s extglob

NAME="keyconfig"
SRC_DIR="src"
VERSION=$(grep em:version "$SRC_DIR"/install.rdf | sed -e 's/<[^>]*>//g')
VERSION=${VERSION// /} # trim whitespace

# remove old xpi if it exists
if [ -f "$NAME-$VERSION.xpi" ]
then
    rm -vf "$NAME-$VERSION.xpi"
fi

# create new xpi
if [ -d "$SRC_DIR" ]
then
    pushd $SRC_DIR

    7z a -tzip -mx -r ../"$NAME-$VERSION.xpi"

    popd
else
    echo "$SRC_DIR not found, exiting."
fi
